- Main Page
- Classes
- Files

- Search for |

- File List
- File Members

# PSDL_y.cpp File Reference

`#include "PSDL_y.h"`
`#include "PSDL_Node.h"`
`#include "PSDL_Interpreter.h"`
`#include "PSDL_Scope.h"`
`#include "PSDL_Module_Scope.h"`
`#include <stdlib.h>`

Include dependency graph for PSDL_y.cpp:

## Defines
#define | YYBISON 1
#define | yyparse TAO_PSDL_yyparse
#define | yylex TAO_PSDL_yylex
#define | yyerror TAO_PSDL_yyerror
#define | yylval TAO_PSDL_yylval
#define | yychar TAO_PSDL_yychar
#define | yydebug TAO_PSDL_yydebug
#define | yynerrs TAO_PSDL_yynerrs
#define | TAO_PSDL_SEMI 257
#define | TAO_PSDL_MODULE 258
#define | TAO_PSDL_COLON 259
#define | TAO_PSDL_OPEN_CURLY_BRACE 260
#define | TAO_PSDL_CLOSE_CURLY_BRACE 261
#define | TAO_PSDL_OPEN_BRACE 262
#define | TAO_PSDL_CLOSE_BRACE 263
#define | TAO_PSDL_ABSTRACT 264
#define | TAO_PSDL_STORAGETYPE 265
#define | TAO_PSDL_STORAGEHOME 266
#define | TAO_PSDL_CATALOG 267
#define | TAO_PSDL_PROVIDES 268
#define | TAO_PSDL_IMPLEMENTS 269
#define | TAO_PSDL_SCOPE 270
#define | TAO_PSDL_STORES 271
#define | TAO_PSDL_STATE 272
#define | TAO_PSDL_AS 273
#define | TAO_PSDL_PRIMARY 274
#define | TAO_PSDL_STRONG 275
#define | TAO_PSDL_REF 276
#define | TAO_PSDL_OF 277
#define | TAO_PSDL_OPEN_ANGULAR_BRACE 278
#define | TAO_PSDL_CLOSE_ANGULAR_BRACE 279
#define | TAO_PSDL_COMMA 280
#define | TAO_PSDL_KEY 281
#define | TAO_PSDL_READONLY 282
#define | TAO_PSDL_UNION 283
#define | TAO_PSDL_SWITCH 284
#define | TAO_PSDL_CASE 285
#define | TAO_PSDL_WCHAR 286
#define | TAO_PSDL_BOOLEAN 287
#define | TAO_PSDL_OCTET 288
#define | TAO_PSDL_ANY 289
#define | TAO_PSDL_OBJECT 290
#define | TAO_PSDL_STRUCT 291
#define | TAO_PSDL_DEFAULT 292
#define | TAO_PSDL_FLOAT 293
#define | TAO_PSDL_DOUBLE 294
#define | TAO_PSDL_LONG 295
#define | TAO_PSDL_SHORT 296
#define | TAO_PSDL_UNSIGNED 297
#define | TAO_PSDL_CHAR 298
#define | TAO_PSDL_IDENT 299
#define | TAO_PSDL_TYPEDEF 300
#define | TAO_PSDL_NATIVE 301
#define | TAO_PSDL_PLUS 302
#define | TAO_PSDL_MINUS 303
#define | TAO_PSDL_XOR 304
#define | TAO_PSDL_AND 305
#define | TAO_PSDL_MULT 306
#define | TAO_PSDL_RIGHT_SHIFT 307
#define | TAO_PSDL_LEFT_SHIFT 308
#define | TAO_PSDL_DIV 309
#define | TAO_PSDL_PERCENT 310
#define | TAO_PSDL_TILDA 311
#define | TAO_PSDL_ONEWAY 312
#define | TAO_PSDL_CONST 313
#define | TAO_PSDL_EQUAL 314
#define | TAO_PSDL_OR 315
#define | TAO_PSDL_VOID 316
#define | TAO_PSDL_IN 317
#define | TAO_PSDL_OUT 318
#define | TAO_PSDL_INOUT 319
#define | TAO_PSDL_RAISES 320
#define | TAO_PSDL_CONTEXT 321
#define | TAO_PSDL_FIXED 322
#define | TAO_PSDL_VALUEBASE 323
#define | TAO_PSDL_EXCEPTION 324
#define | TAO_PSDL_INTERFACE 325
#define | TAO_PSDL_LOCAL 326
#define | TAO_PSDL_DOUBLE_COLON 327
#define | TAO_PSDL_VALUETYPE 328
#define | TAO_PSDL_CUSTOM 329
#define | TAO_PSDL_TRUNCATABLE 330
#define | TAO_PSDL_SUPPORTS 331
#define | TAO_PSDL_STRING 332
#define | TAO_PSDL_WSTRING 333
#define | TAO_PSDL_ATTRIBUTE 334
#define | TAO_PSDL_OPEN_SQUARE_BRACE 335
#define | TAO_PSDL_CLOSE_SQUARE_BRACE 336
#define | TAO_PSDL_ENUM 337
#define | TAO_PSDL_SEQUENCE 338
#define | TAO_PSDL_TRUE 339
#define | TAO_PSDL_FALSE 340
#define | TAO_PSDL_INTEGER 341
#define | TAO_PSDL_FLOATING 342
#define | TAO_PSDL_PRIVATE 343
#define | TAO_PSDL_PUBLIC 344
#define | TAO_PSDL_FACTORY 345
#define | TAO_PSDL_FLOATING_PT 346
#define | TAO_PSDL_CHAR_LITERAL 347
#define | TAO_PSDL_FIXED_PT 348
#define | YYPARSE_PARAM lex_state
#define | YYLEX_PARAM lex_state
#define | YYDEBUG 0
#define | YYFINAL 593
#define | YYFLAG -32768
#define | YYNTBASE 95
#define | YYTRANSLATE(x) ((unsigned)(x) <= 348 ? yytranslate[x] : 262)
#define | YYLAST 1288
#define | YYPURE 1
#define | YYSIZE_T size_t
#define | YYSTACK_ALLOC malloc
#define | YYSTACK_FREE free
#define | yyerrok (yyerrstatus = 0)
#define | yyclearin (yychar = YYEMPTY)
#define | YYEMPTY -2
#define | YYEOF 0
#define | YYACCEPT goto yyacceptlab
#define | YYABORT goto yyabortlab
#define | YYERROR goto yyerrlab1
#define | YYFAIL goto yyerrlab
#define | YYRECOVERING() (!!yyerrstatus)
#define | YYBACKUP(Token, Value)
#define | YYTERROR 1
#define | YYERRCODE 256
#define | YYLLOC_DEFAULT(Current, Rhs, N)
#define | YYLEX yylex (&yylval, YYLEX_PARAM)
#define | YYDPRINTF(Args)
#define | YYINITDEPTH 200
#define | YYMAXDEPTH 10000
#define | YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define | YYPARSE_PARAM_DECL
#define | YY_DECL_NON_LSP_VARIABLES
#define | YY_DECL_VARIABLES YY_DECL_NON_LSP_VARIABLES
#define | YYPOPSTACK (yyvsp--, yyssp--)
## Functions
int | yylex (void)
static void | yyerror (const char *error)
int | yyparse (YYPARSE_PARAM_ARG) YYPARSE_PARAM_DECL
## Variables
static const char | yytranslate []
static const short | yyr1 []
static const short | yyr2 []
static const short | yydefact []
static const short | yydefgoto []
static const short | yypact []
static const short | yypgoto []
static const short | yytable []
static const short | yycheck []
YYSTYPE | yyval
int | yynerrs

## Define Documentation

#define TAO_PSDL_ABSTRACT 264

#define TAO_PSDL_AND 305

#define TAO_PSDL_ANY 289

#define TAO_PSDL_AS 273

#define TAO_PSDL_ATTRIBUTE 334

#define TAO_PSDL_BOOLEAN 287

#define TAO_PSDL_CASE 285

#define TAO_PSDL_CATALOG 267

#define TAO_PSDL_CHAR 298

#define TAO_PSDL_CHAR_LITERAL 347

#define TAO_PSDL_CLOSE_ANGULAR_BRACE 279

#define TAO_PSDL_CLOSE_BRACE 263

#define TAO_PSDL_CLOSE_CURLY_BRACE 261

#define TAO_PSDL_CLOSE_SQUARE_BRACE 336

#define TAO_PSDL_COLON 259

#define TAO_PSDL_COMMA 280

#define TAO_PSDL_CONST 313

#define TAO_PSDL_CONTEXT 321

#define TAO_PSDL_CUSTOM 329

#define TAO_PSDL_DEFAULT 292

#define TAO_PSDL_DIV 309

#define TAO_PSDL_DOUBLE 294

#define TAO_PSDL_DOUBLE_COLON 327

#define TAO_PSDL_ENUM 337

#define TAO_PSDL_EQUAL 314

#define TAO_PSDL_EXCEPTION 324

#define TAO_PSDL_FACTORY 345

#define TAO_PSDL_FALSE 340

#define TAO_PSDL_FIXED 322

#define TAO_PSDL_FIXED_PT 348

#define TAO_PSDL_FLOAT 293

#define TAO_PSDL_FLOATING 342

#define TAO_PSDL_FLOATING_PT 346

#define TAO_PSDL_IDENT 299

#define TAO_PSDL_IMPLEMENTS 269

#define TAO_PSDL_IN 317

#define TAO_PSDL_INOUT 319

#define TAO_PSDL_INTEGER 341

#define TAO_PSDL_INTERFACE 325

#define TAO_PSDL_KEY 281

#define TAO_PSDL_LEFT_SHIFT 308

#define TAO_PSDL_LOCAL 326

#define TAO_PSDL_LONG 295

#define TAO_PSDL_MINUS 303

#define TAO_PSDL_MODULE 258

#define TAO_PSDL_MULT 306

#define TAO_PSDL_NATIVE 301

#define TAO_PSDL_OBJECT 290

#define TAO_PSDL_OCTET 288

#define TAO_PSDL_OF 277

#define TAO_PSDL_ONEWAY 312

#define TAO_PSDL_OPEN_ANGULAR_BRACE 278

#define TAO_PSDL_OPEN_BRACE 262

#define TAO_PSDL_OPEN_CURLY_BRACE 260

#define TAO_PSDL_OPEN_SQUARE_BRACE 335

#define TAO_PSDL_OR 315

#define TAO_PSDL_OUT 318

#define TAO_PSDL_PERCENT 310

#define TAO_PSDL_PLUS 302

#define TAO_PSDL_PRIMARY 274

#define TAO_PSDL_PRIVATE 343

#define TAO_PSDL_PROVIDES 268

#define TAO_PSDL_PUBLIC 344

#define TAO_PSDL_RAISES 320

#define TAO_PSDL_READONLY 282

#define TAO_PSDL_REF 276

#define TAO_PSDL_RIGHT_SHIFT 307

#define TAO_PSDL_SCOPE 270

#define TAO_PSDL_SEMI 257

#define TAO_PSDL_SEQUENCE 338

#define TAO_PSDL_SHORT 296

#define TAO_PSDL_STATE 272

#define TAO_PSDL_STORAGEHOME 266

#define TAO_PSDL_STORAGETYPE 265

#define TAO_PSDL_STORES 271

#define TAO_PSDL_STRING 332

#define TAO_PSDL_STRONG 275

#define TAO_PSDL_STRUCT 291

#define TAO_PSDL_SUPPORTS 331

#define TAO_PSDL_SWITCH 284

#define TAO_PSDL_TILDA 311

#define TAO_PSDL_TRUE 339

#define TAO_PSDL_TRUNCATABLE 330

#define TAO_PSDL_TYPEDEF 300

#define TAO_PSDL_UNION 283

#define TAO_PSDL_UNSIGNED 297

#define TAO_PSDL_VALUEBASE 323

#define TAO_PSDL_VALUETYPE 328

#define TAO_PSDL_VOID 316

#define TAO_PSDL_WCHAR 286

#define TAO_PSDL_WSTRING 333

#define TAO_PSDL_XOR 304

#define YY_DECL_NON_LSP_VARIABLES

Value:

    /* The lookahead symbol.  */                            \
    int yychar;                                             \
                                                            \
    /* The semantic value of the lookahead symbol. */       \
    YYSTYPE yylval;                                         \

#define YY_DECL_VARIABLES YY_DECL_NON_LSP_VARIABLES

#define YYABORT goto yyabortlab

#define YYACCEPT goto yyacceptlab

#define YYBACKUP | ( | Token,
|  | Value |  | ) |

Value:

    do                                                              \
      if (yychar == YYEMPTY && yylen == 1)                          \
        {                                                           \
          yychar = (Token);                                         \
          yylval = (Value);                                         \
          yychar1 = YYTRANSLATE (yychar);                           \
          YYPOPSTACK;                                               \
          goto yybackup;                                            \
        }                                                           \
      else                                                          \
        {                                                           \
          yyerror ("syntax error: cannot back up");                 \
          YYERROR;                                                  \
        }                                                           \
    while (0)

#define YYBISON 1

#define yychar TAO_PSDL_yychar

#define yyclearin (yychar = YYEMPTY)

#define YYDEBUG 0

#define yydebug TAO_PSDL_yydebug

#define YYDPRINTF | ( | Args |  | ) |

#define YYEMPTY -2

#define YYEOF 0

#define YYERRCODE 256

#define yyerrok (yyerrstatus = 0)

#define YYERROR goto yyerrlab1

#define yyerror TAO_PSDL_yyerror

#define YYFAIL goto yyerrlab

#define YYFINAL 593

#define YYFLAG -32768

#define YYINITDEPTH 200

#define YYLAST 1288

#define YYLEX yylex (&yylval, YYLEX_PARAM)

#define yylex TAO_PSDL_yylex

#define YYLEX_PARAM lex_state

#define YYLLOC_DEFAULT | ( | Current,
|  | Rhs,
|  | N |  | ) |

Value:

    Current.last_line   = Rhs[N].last_line; \
       Current.last_column = Rhs[N].last_column;

#define yylval TAO_PSDL_yylval

#define YYMAXDEPTH 10000

#define yynerrs TAO_PSDL_yynerrs

#define YYNTBASE 95

#define yyparse TAO_PSDL_yyparse

#define YYPARSE_PARAM lex_state

#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM

#define YYPARSE_PARAM_DECL

#define YYPOPSTACK (yyvsp--, yyssp--)

#define YYPURE 1

#define YYRECOVERING | ( |  | ) | (!!yyerrstatus)

#define YYSIZE_T size_t

#define YYSTACK_ALLOC malloc

#define YYSTACK_FREE free

#define YYTERROR 1

#define YYTRANSLATE | ( | x |  | ) | ((unsigned)(x) <= 348 ? yytranslate[x] : 262)

## Function Documentation

static void yyerror | ( | const char * | error | ) | `[static]`

int yylex | ( | void |  | ) |

int yyparse | ( | YYPARSE_PARAM_ARG |  | ) |

## Variable Documentation

const short yycheck[]`[static]`

const short yydefact[]`[static]`

const short yydefgoto[]`[static]`

Initial value:

    {
          17,    18,    19,   164,    20,    21,    22,    60,    23,   209,
         210,   169,   273,   211,   340,   341,    24,    25,    26,    27,
         222,   223,   469,   404,   286,   225,    28,   180,   282,   287,
         288,   289,    29,    30,    31,    32,   231,   232,   175,   277,
         176,   514,   545,   233,   515,   234,    33,    34,   238,   239,
         401,   472,   402,   240,    86,   251,    87,   242,    89,   213,
          91,    92,   195,   196,   197,   509,   198,    93,    94,    95,
          96,    97,    98,    99,   100,   101,   102,   103,   104,   105,
         106,   107,   108,    36,   182,   243,   244,    37,   416,   556,
         557,   558,   575,   252,   127,   307,   308,   309,   310,   311,
         312,   313,   314,   315,   316,    39,   253,   352,   254,   255,
         214,   447,   504,   505,   507,   521,   215,   111,   128,   112,
          41,    42,    43,    44,    45,    46,   257,   258,   156,   245,
         317,   587,    47,    48,    49,    50,    51,    52,    53,   162,
         217,   218,   199,   333,   259,    54,   337,   117,   318,   319,
         320,   321,   322,   323,   324,   325,   326,   262,   268,   269,
         270,   527,   528,   529,   327,   226,   450
    }

int yynerrs

const short yypact[]`[static]`

const short yypgoto[]`[static]`

Initial value:

    {
         248,   -16,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   312,
      -32768,-32768,  -165,  -126,   177,-32768,-32768,-32768,-32768,-32768,
         301,-32768,-32768,  -377,   -83,  -131,-32768,-32768,   122,  -202,
      -32768,-32768,-32768,-32768,-32768,-32768,   294,-32768,-32768,  -150,
         373,-32768,-32768,-32768,-32768,-32768,-32768,-32768,   288,-32768,
      -32768,   -15,   127,-32768,    -1,    19,-32768,    29,   338,    77,
      -32768,-32768,  -230,   -43,    57,-32768,-32768,   522,     4,-32768,
      -32768,-32768,-32768,-32768,-32768,-32768,-32768,    21,   524,    31,
         525,-32768,-32768,    27,-32768,  -190,-32768,    71,-32768,   -21,
      -32768,  -387,-32768,    25,-32768,  -243,-32768,   117,   120,   116,
        -177,  -174,  -220,-32768,   228,-32768,    28,  -240,-32768,-32768,
        -124,  -354,   -32,-32768,  -408,  -449,  -200,-32768,-32768,-32768,
      -32768,-32768,-32768,-32768,   149,-32768,   287,  -137,   -18,  -143,
          12,   -42,-32768,    63,-32768,-32768,-32768,-32768,-32768,   -24,
          22,    45,-32768,-32768,-32768,    16,   106,-32768,-32768,-32768,
      -32768,-32768,-32768,-32768,     2,-32768,-32768,  -253,-32768,-32768,
      -32768,    -3,-32768,-32768,  -108,-32768,-32768
    }

const short yyr1[]`[static]`

const short yyr2[]`[static]`

const short yytable[]`[static]`

const char yytranslate[]`[static]`

YYSTYPE yyval